# services/mailu/ingressroute.yaml
apiVersion: traefik.io/v1alpha1
kind: IngressRoute
metadata:
  name: mailu
  namespace: mailu-mailserver
spec:
  entryPoints:
    - websecure
  routes:
    - match: Host(`mail.bstein.dev`)
      kind: Rule
      services:
        - name: mailu-front
          port: 443
          scheme: https
          serversTransport: mailu-transport
  tls:
    secretName: mailu-certificates
